<?
//Автор: Алексей & TeaM ICQ 95-95-466
//Скрипт: VKRUGUKENTOV.ru
//Копирование,продажа,перепродажа без согласия автора строго запрещена и будет караться плачевными последствиями
//Соблюдайте авторские права
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$ank['id'] = $user['id'];
if (isset($_GET['id']))$ank['id'] = intval($_GET['id']);
$q = mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1");
if (mysql_num_rows($q)==0){header("Location: index.php?".SID);exit;}

$ank = mysql_fetch_array($q);

$set['title'] = 'Список друзей '.$ank['nick'].'';
include_once 'sys/inc/thead.php';
title();

echo "  <div class='mytitle'>\n";
echo "".online($ank['id'])." <a href='info.php?id=$ank[id]'>$ank[nick]</a><br/>\n";
if (isset($_GET['add']))msg('Заявка на дружбу успешно отправлена!');
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE `user` = '$ank[id]' AND `i` = '1'"), 0);
echo ''.( ($k_post==0) ? 'Нет друзей =(' : 'Всего друзей: '.$k_post ).'';

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE `user` = '$ank[id]' AND `i` = '1'"), 0);
echo "</div>\n";
if ($k_post==0)
{
echo 'У обитателя '.$ank['nick'].' нет друзей';
}


$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";

$q = mysql_query("SELECT * FROM `frends` WHERE `user` = '$ank[id]' AND `i` = '1' ORDER BY time DESC LIMIT $start, $set[p_str]");
while ($f = mysql_fetch_array($q))
{
	$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[frend]' LIMIT 1"));


echo '<tr><td class="line">';
avatar2($a['id']);
echo "".online($a['id'])." \n";
echo '<a href="/info.php?id='.$a['id'].'"><span style=\"color:$ank[ncolor]\">'.$a['nick'].'</span></a>';
//echo ' <a href="/mail.php?id='.$a['id'].'"><img src="/img/mail.gif"></img></a> ';
echo ' <a href="/mail.php?id='.$a['id'].'"><img src="style/img/mail.gif"></img></a> ';
	echo "<br/><font color='#827f7f'>".vremja($a['date_last'])."</font>\n";
echo '</td></tr>';

$status=mysql_query("SELECT * FROM `dnev` WHERE `id_user` = '$a[id]' ORDER BY `time` DESC  LIMIT 1");

while ($dnev = mysql_fetch_assoc($status))
{
echo "<td class='hello' colspan='2'><font color='#38386a'>$dnev[name]</font>\n";
echo "   </td>\n";
echo "   </tr>\n";
}
}

echo "</table>";

if ($k_page>1)str('?id='.$ank['id'].'&amp;',$k_page,$page); // Вывод страниц
echo "  <div class='foot'>\n";
echo "<img src='/style/back.gif' alt='' class='icon'/>\n";
echo "<a href='info.php?id=$ank[id]'>Страница ($ank[nick])</a>\n";
echo "</div>\n";
include_once 'sys/inc/tfoot.php';
//Автор: Алексей & TeaM ICQ 95-95-466
//Скрипт: VKRUGUKENTOV.ru
//Копирование,продажа,перепродажа без согласия автора строго запрещена и будет караться плачевными последствиями
//Соблюдайте авторские права
?>